> For the complete documentation index, see [llms.txt](https://docs.essencefinance.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.essencefinance.io/development/smart-contracts/peg/ipricebound.md).

# IPriceBound

## Functions

### setOracleFloorBasisPoints

```solidity
function setOracleFloorBasisPoints(
    uint256 newFloor
) external
```

sets the floor price in BP

#### Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| `newFloor` | uint256 |             |

### setOracleCeilingBasisPoints

```solidity
function setOracleCeilingBasisPoints(
    uint256 newCeiling
) external
```

sets the ceiling price in BP

#### Parameters

| Name         | Type    | Description |
| ------------ | ------- | ----------- |
| `newCeiling` | uint256 |             |

### floor

```solidity
function floor() external returns (uint256)
```

get the floor price in basis points

### ceiling

```solidity
function ceiling() external returns (uint256)
```

get the ceiling price in basis points

### isPriceValid

```solidity
function isPriceValid() external returns (bool)
```

return wether the current oracle price is valid or not

## Events

### OracleFloorUpdate

```solidity
event OracleFloorUpdate(
    uint256 oldFloor,
    uint256 newFloor
)
```

event emitted when minimum floor price is updated

#### Parameters

| Name                    | Type    | Description |
| ----------------------- | ------- | ----------- |
| `oldFloor`              | uint256 |             |
| `newFloor`              | uint256 |             |
| ### OracleCeilingUpdate |         |             |

```solidity
event OracleCeilingUpdate(
    uint256 oldCeiling,
    uint256 newCeiling
)
```

event emitted when maximum ceiling price is updated

#### Parameters

| Name         | Type    | Description |
| ------------ | ------- | ----------- |
| `oldCeiling` | uint256 |             |
| `newCeiling` | uint256 |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.essencefinance.io/development/smart-contracts/peg/ipricebound.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
